clc;
clearvars;

%-------------------------------------------------------------------------
%Data Import
%-------------------------------------------------------------------------

filename = 'simulation_data/improved_equations/angular_velocity_about_z_axis_100Hz_timer_isr_1.csv';
data = csvread(filename,1,0);

time = data(:,1);

omega_x = data(:,2);
omega_y = data(:,3);
omega_z = data(:,4);

gx = data(:,8);
gy = data(:,9);
gz = data(:,10);

%Plot relevant axis
figure('Name','iPhone accelerometer data','NumberTitle','off');
plot(time,rad2deg(omega_z), 'r');
axis([0 Inf -250 250]);
xlabel('samples');
ylabel('deg/s');
hold on;
plot(time,gz, 'g');

%Calculates MSE
disp(immse(rad2deg(omega_z),gz));

%Integrate to find angle
%{
angle_x = zeros(1, length(omega_x));
angle_y = zeros(1, length(omega_y));
angle_z = zeros(1, length(omega_z));

dt = 0.02;

for i = 2:length(omega_x)
   angle_x(i) = angle_x(i-1) + rad2deg(omega_x(i))*dt; 
   angle_y(i) = angle_y(i-1) + rad2deg(omega_y(i))*dt; 
   angle_z(i) = angle_z(i-1) + rad2deg(omega_z(i))*dt; 
end

figure('Name','iPhone accelerometer data','NumberTitle','off');
plot(time,angle_z, 'r');
axis([0 Inf -200 200]);
xlabel('samples');
ylabel('deg');
%}